ARG SUFFIX=""
FROM pommalabs/dotnet-mono:dotnet-8-mono-6-aspnet$SUFFIX AS base

FROM pommalabs/dotnet-mono:dotnet-8-mono-6-sdk$SUFFIX AS build
ARG BUILD_CONFIGURATION=Release
COPY ["test-prj.csproj", ""]
RUN dotnet restore "./test-prj.csproj"
COPY . .
WORKDIR "/opt/sln/"
RUN dotnet build "test-prj.csproj" -c ${BUILD_CONFIGURATION} -o /opt/app/build

FROM build AS publish
ARG BUILD_CONFIGURATION=Release
RUN dotnet publish "test-prj.csproj" -c ${BUILD_CONFIGURATION} -o /opt/app/publish

FROM base AS final
COPY --from=publish /opt/app/publish .
CMD ["mono", "test-prj.exe"]
